### Class

# Panel Position

since: 1

#### Description [src]

    final class Panel.Position : GObject.Object
    {
      /* No available fields */
    }

Specifies a position in the dock. You receive a `PanelPosition` in the handler to `PanelDock::create-frame`.

Available since: 1

#### Ancestors

- GObject

#### Constructors

###### panel_position_new

Create a position.

since: 1

###### panel_position_new_from_variant

Create a `PanelPosition` from a `GVariant`.

since: 1

#### Instance methods

###### panel_position_equal

Compares two `PanelPosition`.

since: 1

###### panel_position_get_area

Gets the area.

since: 1

###### panel_position_get_area_set

Gets wether the area is set.

since: 1

###### panel_position_get_column

No description available.

since: 1

###### panel_position_get_column_set

No description available.

since: 1

###### panel_position_get_depth

No description available.

since: 1

###### panel_position_get_depth_set

No description available.

since: 1

###### panel_position_get_row

No description available.

since: 1

###### panel_position_get_row_set

No description available.

since: 1

###### panel_position_is_indeterminate

Tells is the position is indeterminate.

since: 1

###### panel_position_set_area

Sets the area.

since: 1

###### panel_position_set_area_set

Sets whether the area is set.

since: 1

###### panel_position_set_column

No description available.

since: 1

###### panel_position_set_column_set

No description available.

since: 1

###### panel_position_set_depth

No description available.

since: 1

###### panel_position_set_depth_set

No description available.

since: 1

###### panel_position_set_row

No description available.

since: 1

###### panel_position_set_row_set

No description available.

since: 1

###### panel_position_to_variant

Convert a `PanelPosition` to a `GVariant`.

since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Panel.Position:area

The area.

since: 1

###### Panel.Position:area-set

The area is set.

since: 1

###### Panel.Position:column

The column in the position.

since: 1

###### Panel.Position:column-set

The column is set.

since: 1

###### Panel.Position:depth

No description available.

since: 1

###### Panel.Position:depth-set

No description available.

since: 1

###### Panel.Position:row

No description available.

since: 1

###### Panel.Position:row-set

No description available.

since: 1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PanelPositionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.